Package: java.time

## Class Duration

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Duration` | `div(long scalar)` Supports the division operator; equivalent to calling the Duration#dividedBy(long) method.
    `boolean` | `isNonnegative()` Returns true if this duration is zero or positive.
    `boolean` | `isNonpositive()` Returns true if this duration is zero or negative.
    `boolean` | `isPositive()` Returns true if this duration is positive, excluding zero.
    `Duration` | `minus(long seconds)` Returns a Duration that is `seconds` seconds shorter that this duration.
    `Duration` | `multiply(long scalar)` Supports the multiplication operator; equivalent to calling the Duration#multipliedBy(long) method.
    `Duration` | `negative()` Supports the unary minus operator; equivalent to calling the Duration#negated() method.
    `Duration` | `next()` Returns a Duration that is one second longer than this duration.
    `Duration` | `plus(long seconds)` Returns a Duration that is `seconds` seconds longer than this duration.
    `Duration` | `positive()` Supports the unary plus operator; equivalent to calling the Duration#abs() method.
    `Duration` | `previous()` Returns a Duration that is one second shorter than this duration.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.time.temporal.TemporalAmount

    `getAt`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

- - ### Methods Detail

    - #### public Duration div(long scalar)

      Supports the division operator; equivalent to calling the Duration#dividedBy(long) method.

      Parameters:
        `scalar` - the value to divide by
      Returns:
        a Duration
      Since:
        2.5.0

    - #### public boolean isNonnegative()

      Returns true if this duration is zero or positive.

      Returns:
        true if nonnegative
      Since:
        2.5.0

    - #### public boolean isNonpositive()

      Returns true if this duration is zero or negative.

      Returns:
        true if nonpositive
      Since:
        2.5.0

    - #### public boolean isPositive()

      Returns true if this duration is positive, excluding zero.

      Returns:
        true if positive
      Since:
        2.5.0

    - #### public Duration minus(long seconds)

      Returns a Duration that is `seconds` seconds shorter that this duration.

      Parameters:
        `seconds` - the number of seconds to subtract
      Returns:
        a Duration
      Since:
        2.5.0

    - #### public Duration multiply(long scalar)

      Supports the multiplication operator; equivalent to calling the Duration#multipliedBy(long) method.

      Parameters:
        `scalar` - the value to multiply by
      Returns:
        a Duration
      Since:
        2.5.0

    - #### public Duration negative()

      Supports the unary minus operator; equivalent to calling the Duration#negated() method.

      Returns:
        a Duration
      Since:
        2.5.0

    - #### public Duration next()

      Returns a Duration that is one second longer than this duration.

      Returns:
        a Duration
      Since:
        2.5.0

    - #### public Duration plus(long seconds)

      Returns a Duration that is `seconds` seconds longer than this duration.

      Parameters:
        `seconds` - the number of seconds to add
      Returns:
        a Duration
      Since:
        2.5.0

    - #### public Duration positive()

      Supports the unary plus operator; equivalent to calling the Duration#abs() method.

      Returns:
        a Duration
      Since:
        2.5.0

    - #### public Duration previous()

      Returns a Duration that is one second shorter than this duration.

      Returns:
        a Duration
      Since:
        2.5.0